<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/series/class/view/adminseriespluginsettingsview.class.php" );	

    class AdminSeriesPluginSettingsAction extends AdminAction 
	{

    	/**
         * Constructor. If nothing else, it also has to call the constructor of the parent
         * class, BlogAction with the same parameters
         */
        function AdminSeriesPluginSettingsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

			$this->requirePermission( "manage_plugins" );
        }

        /**
         * Carries out the specified action
         */
        function perform()
        {
            $this->_view = new AdminSeriesPluginSettingsView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
        }
    }
?>
